﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace SyncfusionOnsdag2
{
    public class ViewModel
    {
        public ObservableCollection<AnnualPriceData> AnnualPriceCollection { get; set; }

        public ViewModel()
        {
            AnnualPriceCollection = new ObservableCollection<AnnualPriceData>();

            // The value of i is later going to be based on user input
            for(int i = 0; i < 2; i++)
            {
            
                //Objects that share the DataType property should have the same color on the bar itself and legend when running the program just like "2011" and "2010" in the example in my post
                //Objects that share the Component property should be stacked close to each other (Like in the example)
                //Objects of different Component properties should have a space between them

            AnnualPriceCollection.Add(new AnnualPriceData()
            {
                DataType = "Current",
                PriceCollection = new ObservableCollection<Model>()
                {
                    new Model() {Component = "Jewelry", Price = 80+10*i },
                    new Model() {Component = "Electronics", Price = 140+2*i  }
                    
                }
            });

            AnnualPriceCollection.Add(new AnnualPriceData()
            {
                DataType = "Average",
                PriceCollection = new ObservableCollection<Model>()
                {
                    new Model() {Component = "Jewelry", Price = 87-3*i },
                    new Model() {Component = "Electronics", Price = 140+5*i  }
                    
                }
            });

                //AnnualPriceCollection.Add(new AnnualPriceData() { DataType = "Currrent" });
                }

            //AnnualPriceCollection.Add(new AnnualPriceData()
            //{
            //    Year = "2014",
            //    PriceCollection = new ObservableCollection<Model>()
            //    {
            //        new Model() {Component = "Jewelry", Price = 95 },
            //        new Model() {Component = "Electronics", Price = 150  },
            //        new Model() {Component = "Research", Price = 163  },
            //        new Model() {Component = "Investment", Price = 185  },
            //    }
            //});

            //AnnualPriceCollection.Add(new AnnualPriceData()
            //{
            //    Year = "2015",
            //    PriceCollection = new ObservableCollection<Model>()
            //    {
            //        new Model() {Component = "Jewelry", Price = 113 },
            //        new Model() {Component = "Electronics", Price = 165  },
            //        new Model() {Component = "Research", Price = 175  },
            //        new Model() {Component = "Investment", Price = 212  },
            //    }
            //});

            //AnnualPriceCollection.Add(new AnnualPriceData()
            //{
            //    Year = "2016",
            //    PriceCollection = new ObservableCollection<Model>()
            //    {
            //        new Model() {Component = "Jewelry", Price = 123 },
            //        new Model() {Component = "Electronics", Price = 169 },
            //        new Model() {Component = "Research", Price = 184 },
            //        new Model() {Component = "Investment", Price = 224 },
            //    }
            //});
        }
    }
}
